/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "../include/mappings.h"
#include "../include/types.h"
#include "misc.h"

#include <stdio.h>
#include <string.h>
#include <time.h>

#ifndef UIRC_GUARD_PRIVATE_ASSEMBLERS
#define UIRC_GUARD_PRIVATE_ASSEMBLERS
signed long Assm_mesg(char* buf, IRC_Message* in, size_t len);

#ifdef UIRC_IRCV3
signed long Assm_tags(char* buf, IRC_Tags* in, size_t len);
#endif /* UIRC_IRCV3 */

signed long Assm_user(char* buf, IRC_User* in, size_t len, bool useorig);
#endif /* UIRC_GUARD_PRIVATE_ASSEMBLERS */

